QGIS Application - Feature request #4936
Ability to flip or reverse direction of a linestring
2012-02-01 02:45 PM - Mike Taves

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 14735
Description

As of QGIS 1.7.3, there doesn't appear to be any way to reverse the direction of a linestring (or linear ring).

E.g.
LINESTRING (140 350, 220 340, 230 370, 280 370, 280 300, 210 260)

Reversed:
LINESTRING (210 260, 280 300, 280 370, 230 370, 220 340, 140 350)

It would be beneficial to have a Flip! or Reverse? button in the "Advanced Digitizing" toolbar.
[1] Term used in Esri's ArcDesktop, see http://webhelp.esri.com/ArcGISDesktop/9.3/index.cfm?TopicName=Flipping_lines

[2] Term used by both JTS and GEOS, see
http://geos.refractions.net/ro/doxygen docs/html/classgeos 1 1geom 1 1LineString.html#a31

History

#1 - 2012-02-01 03:09 PM - Nathan Woodrow

| wrote a small plugin to do this a while ago, can be found in the Plugin Installer searching for "Swap". | plan on adding this function to the core QGIS code
at some stage but no ETA at the moment.

#2 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#3 - 2012-10-06 02:17 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-17 12:56 PM - Nyall Dawson
- Resolution set to duplicate
- Status changed from Open to Closed

Duplicate of #2701
